libbsh-java_2.0b4-15_all.deb


Advertisement

Description

libbsh-java - Java scripting environment (BeanShell) Version 2 (library)

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main i386
Package filename libbsh-java_2.0b4-15_all.deb
Package name libbsh-java
Package version 2.0b4
Package release 15
Package architecture all
Package type deb
Category java
Homepage http://www.beanshell.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 258.03 KB
Installed size 334.00 KB
BeanShell is a small, free, embeddable, Java source interpreter with object
scripting language features, written in Java. BeanShell executes standard Java
statements and expressions, in addition to obvious scripting commands and
syntax.  BeanShell supports scripted objects as simple method closures like
those in Perl and JavaScript(tm).
You can use BeanShell interactively for Java experimentation and debugging or
as a simple scripting engine for you applications.  In short: BeanShell is a
dynamically interpreted Java, plus some useful stuff.
This package contains the Java library without the command line tools.

Alternatives

Package Version Architecture Repository
libbsh-java_2.0b4-15ubuntu0.14.04.1_all.deb 2.0b4 all Ubuntu Updates Main
libbsh-java_2.0b4-15ubuntu0.14.04.1_all.deb 2.0b4 all Ubuntu Updates Main
libbsh-java_2.0b4-15_all.deb 2.0b4 all Ubuntu Main
libbsh-java - - -

Replaces

Name Value
bsh <= 2.0b4-13~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libbsh-java_2.0b4-15_all.deb
Source Package bsh

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbsh-java deb package:
    # sudo apt-get install libbsh-java

Files

Path
/usr/share/doc/libbsh-java/changelog.Debian.gz
/usr/share/doc/libbsh-java/copyright
/usr/share/java/bsh-2.0b4.jar
/usr/share/java/bsh.jar
/usr/share/maven-repo/org/beanshell/bsh/2.0b4/bsh-2.0b4.jar
/usr/share/maven-repo/org/beanshell/bsh/2.0b4/bsh-2.0b4.pom
/usr/share/maven-repo/org/beanshell/bsh/debian/bsh-debian.jar
/usr/share/maven-repo/org/beanshell/bsh/debian/bsh-debian.pom

Changelog

2013-11-21 - Emmanuel Bourg <ebourg@apache.org>
bsh (2.0b4-15) unstable; urgency=low
* Added the poms missing in the previous upload (Closes: #730008)
* Transition to the Servlet API 3.0 (Closes: #729972)
2013-11-04 - Emmanuel Bourg <ebourg@apache.org>
bsh (2.0b4-14) unstable; urgency=low
* Upload to unstable
* Removed the bsh-gcj package
* Moved the jar and the Maven artifacts in a new libbsh-java package
that doesn't depend on a Java runtime.
* debian/control:
- Removed Michael Koch from the uploaders (Closes: #653998)
- Use canonical URLs for the Vcs-* fields
- Updated Standards-Version to 3.9.5 (no changes)
* Build depend on debhelper >= 9
[ Niels Thykier ]
* Changed the section of bsh to devel
2010-11-21 - Niels Thykier <niels@thykier.net>
bsh (2.0b4-13) experimental; urgency=low
* Team upload.
* Upload to experimental due to freeze.
* Moved the gcj package to the java section.
* Replaced B-D on default-jdk-builddep with gcj-native-helper and
default-jdk.
* Bumped Standards-Versions 3.9.1 - no changes required.
* Updated README.Debian to better reflect the current times.
* Added descriptions to the patches.
* Added patch to fix a typo in the upstream code.
* Added mh_clean to the clean rule.
* Linked the javadoc against the system javadoc.
2010-06-11 - Thierry Carrez <thierry.carrez@ubuntu.com>
bsh (2.0b4-12) unstable; urgency=low
* Build-depend on libservlet2.5-java instead of libservlet2.4-java.
2010-04-16 - Gabriele Giacone <1o5g4r8o@gmail.com>
bsh (2.0b4-11) unstable; urgency=low
[ Ludovic Claude ]
* Change bsh-gcj section to libs.
[ Gabriele Giacone ]
* Team upload.
* Added bsh-src binary package generation.
* Source format 3.0 (quilt).
* debhelper compatibility to 7.
* Standards-Version to 3.8.4.
* Removed Arnaud Vandyck from Uploaders.
2009-08-09 - Torsten Werner <twerner@debian.org>
bsh (2.0b4-10) unstable; urgency=low
* Upload to unstable.
2009-05-09 - Ludovic Claude <ludovic.claude@laposte.net>
bsh (2.0b4-9) experimental; urgency=low
* Change section to java, bump up Standards-Version to 3.8.1
* Add support for -classpath option on xbsh script (closes: #504784)
* rules: add optional support for gcj and optimisation
* Add the Maven POM to the package,
* Add a Build-Depends dependency on maven-repo-helper
* Use mh_installpom and mh_installjar to install the POM and the jar to the
Maven repository
2008-09-08 - Matthias Klose <doko@ubuntu.com>
bsh (2.0b4-8ubuntu3) intrepid; urgency=low
* bsh: Suggest libservlet2.4-java instead of libservlet2.3-java,
suggest default-jre | java-runtime instead of libgcj8-1-awt.
LP: #257402.
2008-08-13 - Onkar Shinde <onkarshinde@ubuntu.com>
bsh (2.0b4-8ubuntu2) intrepid; urgency=low
* debian/control
- Replace build dependency libservlet2.3-java with libservlet2.4-java.
- Remove unneeded build dependency lynx.
- Replace suggests libservlet2.3-java with libservlet2.4-java.
- Remove libgcj8-1-awt from recommends to suggests.
* debian/rules
- Add appropriate jar file name for servlet api 2.4.
2008-07-31 - Matthias Klose <doko@ubuntu.com>
bsh (2.0b4-8ubuntu1) intrepid; urgency=low
* Depend on default-jre-headless.
* Set Ubuntu maintainer address.

See Also

Package Description
libbtf1.2.0_4.2.1-3ubuntu1_i386.deb permutation to block triangular form library for sparse matrices
libburn-dev_1.3.4-0ubuntu1_i386.deb development package for libburn4
libburn-doc_1.3.4-0ubuntu1_all.deb API documentation for libburn library
libburn4_1.3.4-0ubuntu1_i386.deb library to provide CD/DVD writing functions
libbusiness-isbn-data-perl_20120719.001-1_all.deb data pack for Business::ISBN
libbusiness-isbn-perl_2.07-1_all.deb Perl library to work with International Standard Book Numbers
libbz2-1.0_1.0.6-5_i386.deb high-quality block-sorting file compressor library - runtime
libbz2-dev_1.0.6-5_i386.deb high-quality block-sorting file compressor library - development
libc-ares-dev_1.10.0-2_i386.deb asynchronous name resolver - development files
libc-ares2_1.10.0-2_i386.deb asynchronous name resolver
libc-bin_2.19-0ubuntu6_i386.deb Embedded GNU C Library: Binaries
libc-dev-bin_2.19-0ubuntu6_i386.deb Embedded GNU C Library: Development binaries
libc6-amd64_2.19-0ubuntu6_i386.deb Embedded GNU C Library: 64bit Shared libraries for AMD64
libc6-arm64-cross_2.19-0ubuntu2cross0.10_all.deb Embedded GNU C Library: Shared libraries (for cross-compiling)
libc6-armel-armhf-cross_2.19-0ubuntu2cross1.104_all.deb Dummy package to get libc6:armel installed
Advertisement
Advertisement